
"""Exceptions used by the bot."""


class InvalidArgument(ValueError):

    """Raise this from a filter if the input is invalid."""

    def __unicode__(self):
        """Convert to a human-readable error message."""
        if self.args:
            # XXX TODO: maybe complain if self.args[0] is str
            return unicode(self.args[0])
        else:
            return u'invalid argument'


class MessageTooLong(ValueError):
    """Raised if an attempt was made to send a message that was too long."""


class InvalidCharacter(ValueError):
    """Raised when a character was sent that the protocol does not allow."""


class DuplicateHandler(ValueError):
    """Raised when adding a handler using a name that already exists."""
