

"""Core bot plugins."""


from mzbot import plugin


# coreauth
nameAuthenticator = plugin.ConfigPlugin(
    'name-auth', 'mzbot.coreauth.NameAuthenticator',
    u'Authenticate by matching against hostmask.')

identifiedAuthenticator = plugin.ConfigPlugin(
    'identified-auth', 'mzbot.coreauth.IdentifiedAuthenticator',
    u'Authenticate based on nickserv identified status.')


# corehandlers
botHandler = plugin.ConfigPlugin(
    'bot', 'mzbot.corehandlers.BotHandler',
    u'Core bot behavior.')

waitForIdentifiedHandler = plugin.ConfigPlugin(
    'wait-for-identified', 'mzbot.corehandlers.WaitForIdentifiedHandler',
    u'Wait for a +e usermode change after connecting.')

waitForCloakHandler = plugin.ConfigPlugin(
    'wait-for-cloak', 'mzbot.corehandlers.WaitForCloakHandler',
    u'Wait for a cloak after connecting.')

setUserModeHandler = plugin.ConfigPlugin(
    'set-usermode', 'mzbot.corehandlers.SetUserModeHandler',
    u'Set usermode after connecting.')

autoJoinHandler = plugin.ConfigPlugin(
    'autojoin', 'mzbot.corehandlers.AutoJoinHandler',
    u'Autojoin channels.')

privMsgLogger = plugin.ConfigPlugin(
    'privmsg-logger', 'mzbot.corehandlers.PrivMsgLogger',
    u'Log private messages directed at the bot.')

floodIgnore = plugin.ConfigPlugin(
    'floodignore', 'mzbot.corehandlers.FloodIgnore',
    u'Ignore users who are flooding us.')

rawLogHandler = plugin.ConfigPlugin(
    'rawlogfile', 'mzbot.corehandlers.RawLogFile',
    u'Log raw network traffic to a file.')

specialFeaturesHandler = plugin.ConfigPlugin(
    'specialfeatures', 'mzbot.corehandlers.SpecialFeaturesHandler',
    u'Some odds and ends.')

chanServOpHandler = plugin.ConfigPlugin(
    'chanservop', 'mzbot.corehandlers.ChanServOpHandler',
    u'Ask for op on channels on join, commands for opping and deopping.')

ignoreCommandHandler = plugin.ConfigPlugin(
    'ignore', 'mzbot.corehandlers.IgnoreCommandHandler',
    u'Ignore people when told to.')


# simplehandlers
pingPongHandler = plugin.ConfigPlugin(
    'pingpong', 'mzbot.simplehandlers.PingPongHandler',
    u'Respond to pings and the like (random choice from fixed replies)')

topicHandler = plugin.ConfigPlugin(
    'topic', 'mzbot.simplehandlers.TopicHandler',
    u'Commands for manipulating the channel topic.')

backdoorHandler = plugin.ConfigPlugin(
    'backdoor', 'mzbot.simplehandlers.BackdoorHandler',
    u'Interfere with the python process.')

anagramHandler = plugin.ConfigPlugin(
    'anagram', 'mzbot.simplehandlers.AnagramHandler',
    u'Play anagram games.')

shorten = plugin.ConfigPlugin(
    'shorten', 'mzbot.simplehandlers.ShortenHandler',
    u'Shorten URLs (using metamark).')

# logging
logger = plugin.ConfigPlugin(
    'logger', 'mzbot.logging.Logger',
    u'Log messages to a database.')

seenHandler = plugin.ConfigPlugin(
    'seen', 'mzbot.simplehandlers.SeenHandler',
    u'Command to check when a user was last seen.')


# google
googleHandler = plugin.ConfigPlugin(
    'google', 'mzbot.google.GoogleHandler',
    u'Do google searches.')


# spelling
spellHandler = plugin.ConfigPlugin(
    'spell', 'mzbot.spellhandler.SpellHandler',
    u'Suggest spelling.')

# quotes
quotesHandler = plugin.ConfigPlugin(
    'quotes', 'mzbot.quotes.QuoteHandler',
    u'Store and display quotes.')


# gentoohandlers
inviteHandler = plugin.ConfigPlugin(
    'gentooinvite', 'mzbot.gentoohandlers.InviteHandler',
    u'Invite people selectively.')

spamHandler = plugin.ConfigPlugin(
    'gentoospam', 'mzbot.gentoohandlers.SpamHandler',
    u'Talk to people whenever they say anything at all.')

torHandler = plugin.ConfigPlugin(
    'gentootor', 'mzbot.gentoohandlers.TorHandler',
    u'Notice a channel when tor users join another channel')

jeevesWannabeHandler = plugin.ConfigPlugin(
    'jeeveswannabe', 'mzbot.gentoohandlers.JeevesWannabeHandler',
    u'Unfinished clone of some things the jeeves bot did')

regExpBan = plugin.ConfigPlugin(
    'gentooreban', 'mzbot.gentoohandlers.RegExpBan',
    u'Ban when text matching a regexp is mentioned')

banListHandler = plugin.ConfigPlugin(
    'gentoobanlist', 'mzbot.gentoohandlers.BanListHandler',
    u'Query a banlist')

docScraperHandler = plugin.ConfigPlugin(
    'gentoodocscraper', 'mzbot.gentoohandlers.DocScraperHandler',
    u"Parse gentoo's documentation listing and search it.")


# banman
banmanHandler = plugin.ConfigPlugin(
    'banman', 'mzbot.banman.BanManagementHandler',
    u'Manage bans on one or more channels.')

# wolf
wolfbotHandler = plugin.ConfigPlugin(
    'wolfbot', 'mzbot.wolf.WolfBotHandler',
    u'Play a fun game with wolves.')
